Subject: Re: [MMUSIC] Draft new version: t140-data-channel-usage-03 - section 4.2.1

From: Christer Holmberg <[email-masked]>
Date: Wed, 18 Sep 2019 16:29:40 +0000

Hi,

      * Section 4.2.1:
      
>>>>> This section is a little hard to follow. The use of fmtp with data channels is complicated, since the value part of fmtp is dependent on
>>>>> the fmt in the m= line. You do reference RFC4103, but it is still a leap to put this all together.
>>>>>
>>>>I suggest you first discuss the general use of fmtp with data channels - that the value syntax of fmtp is to follow RFC4103.
>>>>
>>>> *Then* you can move on to discuss the use of 'cps'.
>>>>
>>>> It isn't clear to me if there are any other meaningful or permitted fmtp parameters. I suggest you make a definitive statement about this.
>>>
>>> Ok, I can have a look at that.
>>      
>>      I had a look at this.
>> 
>>      First, a general description of fmtp with data channels belong to SDPNEG.
>
> I don't think so. The syntax of the value to use with a=fmtp depends on the <fmt> parameter of the m= line. (In the case of RTP this is the
> codec.) When used with a data channel we can't refer to that. Instead, it needs to be determined based on the subprotocol from the dcmap. 

Ok, I thought you wanted text about fmtp usage with data channels in general, regardless of the subprotocol.

> And I don't think there is necessarily a consistent mapping for all subprotocols. So I think each subprotocol needs to specify where to go for the syntax of fmtp.

The draft does that, for T.140 data channels, and in the pull request I clarified that no other usage of fmtp is defined for T.140 data channels. What else is needed?

Regards,

Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 18 Sep 2019 12:48:51 -0400

> Ok, I thought you wanted text about fmtp usage with data channels in general, regardless of the subprotocol.

OK

> The draft does that, for T.140 data channels, and in the pull request I clarified that no other usage of fmtp is defined for T.140 data channels. What else is needed?

I didn't notice that. But that should cover it.

	Thanks,
	Paul